> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/personal-access-tokens/revoke-personal-access-token/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Revoke personal access token DELETE https://alephant.io/api/v1/pats/{id} Revokes a PAT. **JWT only**. Reference: https://developers.alephant.io/api-reference/saa-s-api/personal-access-tokens/revoke-personal-access-token ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Path parameters - `id` (string, required) — PAT UUID ### Headers - `Authorization` (string, required) — Bearer JWT access token - `X-Workspace-Id` (string, required) — Workspace UUID ## Response ### 204 No Content ## Examples **SDK Code** ```python import requests url = "https://alephant.io/api/v1/pats/id" headers = { "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id" } response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/pats/id'; const options = { method: 'DELETE', headers: {Authorization: 'Authorization', 'X-Workspace-Id': 'X-Workspace-Id'} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/pats/id" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Authorization") req.Header.Add("X-Workspace-Id", "X-Workspace-Id") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/pats/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Authorization' request["X-Workspace-Id"] = 'X-Workspace-Id' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://alephant.io/api/v1/pats/id") .header("Authorization", "Authorization") .header("X-Workspace-Id", "X-Workspace-Id") .asString(); ``` ```php request('DELETE', 'https://alephant.io/api/v1/pats/id', [ 'headers' => [ 'Authorization' => 'Authorization', 'X-Workspace-Id' => 'X-Workspace-Id', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/pats/id"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Authorization"); request.AddHeader("X-Workspace-Id", "X-Workspace-Id"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id" ] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/pats/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```